﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour Description.xaml
    /// </summary>
    public partial class DescriptionAdd : Window
    {
        public DescriptionAdd()
        {
            InitializeComponent();
        }


        public Manager Mgr => (Application.Current as App).LeManager;

        public ManagerAddEdit MgrAddEdit => (Application.Current as App).LeManagerAddEdit;



        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                uptadeUi(_requin);
            }
        }



        public void uptadeUi(Requin requin)
        {
            string url = "Images/" + requin.StatutCons.ToString() + ".png";
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            desc.Text = requin.Description;
            vid.Source = new Uri(requin.Video, UriKind.Relative);
            photo.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
            funFact.Text = requin.FunFact;
            consPic.Source = new BitmapImage(new Uri(url, UriKind.Relative));
            cartePic.Source = new BitmapImage(new Uri(requin.PhotoCarte, UriKind.Relative));
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void valider_Click(object sender, RoutedEventArgs e)
        {
            Mgr.AjouterRequin(requin);
            MgrAddEdit.SupprimerRequinAdd(requin);
        }

        private void refuser_Click(object sender, RoutedEventArgs e)
        {
            MgrAddEdit.SupprimerRequinAdd(requin);
        }
    }

}
