﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour DescriptionEdit.xaml
    /// </summary>
    public partial class DescriptionEdit : Window
    {
        public DescriptionEdit()
        {
            InitializeComponent();
        }

        public Manager Mgr => (Application.Current as App).LeManager;

        public ManagerAddEdit MgrAddEdit => (Application.Current as App).LeManagerAddEdit;


        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                uptadeUi(_requin);
            }
        }


        private Requin _requinOld;

        public Requin requinOld
        {
            get { return _requinOld;  }
            set
            {
                _requinOld = value;
                uptadeUiOld(_requin);
            }
        }


        public void uptadeUi(Requin requin)
        {
            string url = "Images/" + requin.StatutCons.ToString() + ".png";
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            desc.Text = requin.Description;
            vid.Source = new Uri(requin.Video, UriKind.Relative);
            photo.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
            funFact.Text = requin.FunFact;
            consPic.Source = new BitmapImage(new Uri(url, UriKind.Relative));
            cartePic.Source = new BitmapImage(new Uri(requin.PhotoCarte, UriKind.Relative));
        }


        public void uptadeUiOld(Requin oldRequin)
        {
            string url = "Images/" + oldRequin.StatutCons.ToString() + ".png";
            nameReqOld.Text = oldRequin.Nom;
            sciNameOld.Text = oldRequin.NomSci;
            descOld.Text = oldRequin.Description;
            vidOld.Source = new Uri(oldRequin.Video, UriKind.Relative);
            photoOld.Source = new BitmapImage(new Uri(oldRequin.Photo, UriKind.Relative));
            funFactOld.Text = oldRequin.FunFact;
            consPicOld.Source = new BitmapImage(new Uri(url, UriKind.Relative));
            cartePicOld.Source = new BitmapImage(new Uri(oldRequin.PhotoCarte, UriKind.Relative));
        }

            private void remplacer_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void garder_Click(object sender, RoutedEventArgs e)
        {Close();
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
