﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour UserControlRequin.xaml
    /// </summary>
    public partial class UserControlRequin : UserControl
    {


        public Manager Mgr => (Application.Current as App).LeManager;

        public UserControlRequin()
        {
            InitializeComponent();

        }


        public void UserControlReq_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Mgr.SelectedRequin = requin;
            if (type == UCrequinType.normal)
            {
                ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapDes(requin);
            }
            else if (type == UCrequinType.edit)
            {
                var descEdit = new DescriptionEdit { requin = requin, requinOld = Mgr.GetRequin(requin) };
                descEdit.ShowDialog();
            }
            else if (type == UCrequinType.add)
            {
                var descAdd = new DescriptionAdd { requin = requin };
                descAdd.ShowDialog();
            }
        }

        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set {
                _requin = value;
                uptadeUi(_requin);
            }
        }

        public UCrequinType type;

        public void uptadeUi(Requin requin)
        {
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            image.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
        }
    }
}
