﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour userControlAcceuil.xaml
    /// </summary>
    public partial class userControlAcceuil : UserControl
    {
        public ManagerUsers MgrUser => (Application.Current as App).LeManagerUser;
    
        public userControlAcceuil()
        {
            InitializeComponent();
        }

        public string Carte
        {
            set
            {
                laCarte.Source = new BitmapImage(new Uri(value, UriKind.Relative));
            }
        }

        private void add_Click(object sender, RoutedEventArgs e)
        {
            if (MgrUser.SelectedUser == null)
            {
                MessageBox.Show("Vous avez besoin d'être connecté pour accéder à cette fonctionnalité");
                var seConnecter = new SeConnecter();
                seConnecter.ShowDialog();
            }
            else if (MgrUser.SelectedUser is Utilisateur)
            {
                var addSharkWindow = new AddAShark();
                addSharkWindow.ShowDialog();
            }
            else if (MgrUser.SelectedUser is Expert)
            {
                var validerSumbit = new ValiderSubmit();
                validerSumbit.ShowDialog();
            }

        }

        private void Inscription_Click(object sender, RoutedEventArgs e)
        {
            if (MgrUser.SelectedUser == null)
            {
                var inscrireWindow = new CreerCompte();
                inscrireWindow.ShowDialog();
            }
            else
            {
                var infoUser = new InfoUtilisateur{ pers = MgrUser.SelectedUser };
                infoUser.ShowDialog();
            }
        }
    }
}
