﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour userControlDescription.xaml
    /// </summary>
    public partial class userControlDescription : UserControl
    {
        public userControlDescription()
        {
            InitializeComponent();
        }
        public ManagerUsers MgrUser => (Application.Current as App).LeManagerUser;
        public Manager Mgr => (Application.Current as App).LeManager;

        private Requin _requin;
        public Requin requin
        {
            get { return _requin; }
            set
            {
                _requin = value;
                UptadeUi(_requin);
            }
        }

        public int cmp = 0;

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapAcc();
            Mgr.SelectedRequin = null;
        }

        private void edit_Click(object sender, RoutedEventArgs e)
        {
            if (MgrUser.SelectedUser == null)
            {
                MessageBox.Show("Vous avez besoin d'être connecté pour accéder à cette fonctionnalité");
                var seConnecter = new SeConnecter();
                seConnecter.ShowDialog();
            }
            else
            {
                ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapEdit(requin);
            }
        }


        public void UptadeUi(Requin requin)
        {
            string url = "Images/" + requin.StatutCons.ToString() + ".png";
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            desc.Text = requin.Description;
            vid.Source = new Uri(requin.Video, UriKind.Relative);
            photo.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
            funFact.Text = requin.FunFact;
            consPic.Source = new BitmapImage(new Uri(url, UriKind.Relative));
            cartePic.Source = new BitmapImage(new Uri(requin.PhotoCarte, UriKind.Relative));
        }

        private void vid_MouseDown(object sender, MouseButtonEventArgs e)
        {
            cmp = cmp+1;
            if (cmp == 10)
            {
                vid.Source = new Uri("Videos/requin_Asley.mp4", UriKind.Relative);
            }
        }
    }
}
